//
//  MyTextViewDelegate.h
//  JBB
//
//  Created by Jose Miguel on 13/11/14.
//
//

#ifndef __JBB__MyTextViewDelegate__
#define __JBB__MyTextViewDelegate__

#include <stdio.h>
#include "cocos2d.h"

USING_NS_CC;

class MyTextView;

class MyTextViewDelegate
{
public:
    virtual void textViewEditingShouldBegin(MyTextView* textView) = 0;
    virtual void textViewEditingDidBegin(MyTextView* textView) = 0;
    virtual void textViewEditingShouldEnd(MyTextView* textView) = 0;
    virtual void textViewEditingDidEnd(MyTextView* textView) = 0;
    virtual void textViewTextChanged(MyTextView* textView, const char* text) = 0;
    
    virtual void textViewKeyboardWillShow(CCSize size) = 0;
    virtual void textViewKeyboardWillHide() = 0;
};

#endif /* defined(__JBB__MyTextViewDelegate__) */
